﻿using System;
using System.Drawing;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace UltraGridRecursiveIssue
{
    public class MdiChildForm : Form
    {
        public MdiChildForm()
        {
            Size = new Size(300, 200);

            var grid = new UltraGrid { DataSource = new[] { 1, 2, 3, 4, 5 }, Dock = DockStyle.Fill };

            var panel1 = new Panel { Dock = DockStyle.Fill };
            var panel2 = new Panel { Dock = DockStyle.Fill };
            panel1.Controls.Add(grid);
            panel2.Controls.Add(panel1);
            Controls.Add(panel2);
        }        
    }

    public class TestFormMdi : Form
    {
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new TestFormMdi());
        }

        public TestFormMdi()
        {
            ClientSize = new Size(800,600);
            IsMdiContainer = true;

            var form1 = new MdiChildForm { MdiParent = this };
            form1.Show();
            var form2 = new MdiChildForm { MdiParent = this };
            form2.Show();
        }
    }
}
